Skip to content
GET/{organizationId}/{mandateId}/booking/events/{eventId}/attendees/{attendeeId}/notes

List attendee notes

Returns attendee notes ordered by creation date, newest first

Required permissions:

  • mandate.read

  • event.read

  • attendee.read

Path Parameters

organizationIdstringrequired
mandateIdstringrequired
eventIdstringrequired
attendeeIdstringrequired

Query Parameters

limitintegerrequired

minimum: 1

maximum: 100

offsetintegerrequired

minimum: 0

maximum: 9007199254740991

Authentication: X-API-Key

Request

GET/{organizationId}/{mandateId}/booking/events/{eventId}/attendees/{attendeeId}/notes
curl --request GET 'https://cloud.campai.com/api/{organizationId}/{mandateId}/booking/events/{eventId}/attendees/{attendeeId}/notes?limit=1&offset=0' \
  --header 'X-API-Key: YOUR_API_KEY'

Responses

This endpoint returns different response codes based on the request outcome.

200Successful response

Content-Type: application/json

countintegerrequired

minimum: 0

maximum: 9007199254740991

Response

200
{
  "count": 0,
  "notes": [
    {
      "id": "string",
      "content": "string",
      "writtenAt": "2026-06-15T22:30:00Z",
      "writtenBy": {
        "name": "string",
        "type": "user",
        "userId": "string",
        "image": {
          "resource": "string"
        }
      }
    }
  ]
}

400Invalid input data

Content-Type: application/json

The error information

messagestringrequired

The error message

codestringrequired

The error code

An array of issues that were responsible for the error

Response

400
{
  "code": "BAD_REQUEST",
  "message": "Invalid input data",
  "issues": []
}

401Authorization not provided

Content-Type: application/json

The error information

messagestringrequired

The error message

codestringrequired

The error code

An array of issues that were responsible for the error

Response

401
{
  "code": "UNAUTHORIZED",
  "message": "Authorization not provided",
  "issues": []
}

403Insufficient access

Content-Type: application/json

The error information

messagestringrequired

The error message

codestringrequired

The error code

An array of issues that were responsible for the error

Response

403
{
  "code": "FORBIDDEN",
  "message": "Insufficient access",
  "issues": []
}

404Not found

Content-Type: application/json

The error information

messagestringrequired

The error message

codestringrequired

The error code

An array of issues that were responsible for the error

Response

404
{
  "code": "NOT_FOUND",
  "message": "Not found",
  "issues": []
}

500Internal server error

Content-Type: application/json

The error information

messagestringrequired

The error message

codestringrequired

The error code

An array of issues that were responsible for the error

Response

500
{
  "code": "INTERNAL_SERVER_ERROR",
  "message": "Internal server error",
  "issues": []
}